<?php
/**
 * Constants.php
 *
 * This file is intended to group all constants to
 * make it easier for the site administrator to tweak
 * the login script.
 *
 * jpWare php login system v.1.0.0
 * Copyright (C) 2009, Vlad Hristov (www.wonderwebware.com)
 * Copyright (C) 2004,2009  entity known as jpmaster77 (www.evolt.org/node/60384) and Ivan Novak (www.ivannovak.com)
 * Last Updated: Nov 24, 2009
 */

/**
* Site name - text or just the domain or whatever you want
**/
define("SITE_NAME", "PHP Login System");
/**
* Site URL - full url including final dash, for example:
* http://mysite.com/
* http://www.mydomain.org/path_to_scrtipt/
**/
define("SITE_URL", "http://localhost/jpWare/");

/**
 * Database Constants - these constants are required
 * in order for there to be a successful connection
 * to the MySQL database. Make sure the information is
 * correct.
 */
define("DB_SERVER", "127.0.0.1");
define("DB_USER", "root");
define("DB_PASS", "myPassWordHere");
define("DB_NAME", "dbName");

/**
 * Database Table Constants - these constants
 * hold the names of all the database tables used
 * in the script.
 */
define("TBL_USERS", "users");
define("TBL_ACTIVE_USERS",  "active_users");
define("TBL_ACTIVE_GUESTS", "active_guests");
define("TBL_BANNED_USERS",  "banned_users");
define("TBL_MAIL", "mail");

/**
 * Special Names and Level Constants - the admin
 * page will only be accessible to the user with
 * the admin name and also to those users at the
 * admin user level. Feel free to change the names
 * and level constants as you see fit, you may
 * also add additional level specifications.
 * Levels must be digits between 0-9.
 */
define("ADMIN_NAME", "admin");
define("GUEST_NAME", "guest");
define("ADMIN_LEVEL", 9);
define("AUTHOR_LEVEL", 5);
define("USER_LEVEL",  1);
define("GUEST_LEVEL", 0);

/**
 * This boolean constant controls whether or
 * not the script allows new users to register.
 * If "false" only admin can add new users.
 */
define("FREE_REGISTRATION", false);

/**
 * This is the confirmation-required message sent to
 * new users. If "false", then all new accounts will be
 * confirmed automatically.
 */
define("CONFIRMATION_REQUIRED", true);

/**
 * Enable/disable some links on main page
 * Set to "true" to add the feature or "false"
 * to hide (disable).
 */
define("FORGOT_PASSWORD_ENABLED", false); 
define("RESEND_CONFIRMATION_ENABLED", false);
define("STATS_VISIBLE_TO_ANYONE", false);

/**
 * This boolean constant controls whether or
 * not the script keeps track of active users
 * and active guests who are visiting the site.
 */
define("TRACK_VISITORS", true);

/**
 * Timeout Constants - these constants refer to
 * the maximum amount of time (in minutes) after
 * their last page fresh that a user and guest
 * are still considered active visitors.
 */
define("USER_TIMEOUT", 10);
define("GUEST_TIMEOUT", 5);

/**
 * Cookie Constants - these are the parameters
 * to the setcookie function call, change them
 * if necessary to fit your website. If you need
 * help, visit www.php.net for more info.
 * <http://www.php.net/manual/en/function.setcookie.php>
 */
define("COOKIE_EXPIRE", 60*60*24*100);  //100 days by default
define("COOKIE_PATH", "/");  //Avaible in whole domain

/**
 * Email Constants - these specify what goes in
 * the from field in the emails that the script
 * sends to users, and whether to send a
 * welcome email to newly registered users.
 */
define("EMAIL_FROM_NAME", "Ivan Novak");
define("EMAIL_FROM_ADDR", "inovak1@gmail.com");
define("EMAIL_WELCOME", true); //If CONFIRMATION_REQUIRED is "true" EMAIL_WELCOME must be "true" too!

/**
 * This constant forces all users to have
 * lowercase usernames, capital letters are
 * converted automatically.
 */
define("ALL_LOWERCASE", false);

/**
 * This defines the absolute path
 */
define("ABSPATH", dirname(__FILE__).'/');

/**
 * This boolean constant controls wheter or
 * not the user to user mail function is active
 */
define("MAIL", true)

 
?>
